インストールの前提条件

システム要件と互換性

デバイスの要件

Android向けCitrix WorkspaceアプリはAndroid 4.4(KitKat)、5.x(Lollipop)、6.x(Marshmallow)、7.x(Nougat)、8.x(Oreo)、9(Pie)をサポートします。

デバイスのAndroidオペレーティングシステムを最新バージョンにアップデートしてください。

Citrix Workspaceアプリは、WebブラウザーがWorkspace for Webと連携している場合、セッションの開始をサポートします。セッションが開始しない場合、Citrix Workspaceアプリを介して直接アカウントを構成します。

重要:

Android向けCitrix Workspaceアプリのテクニカルプレビュー版がインストールされている場合は、これをアンインストールしてから新しいバージョンをインストールします。

サーバーの要件

StoreFront:

  • StoreFront 2.6以降

    StoreFrontストアへの直接アクセスを提供します。Android向けCitrix Workspaceアプリでは、前バージョンのStoreFrontもサポートされます。

  • Workspace for Webサイトが構成されたStoreFront

    StoreFrontストアへのWebブラウザーからのアクセスを提供します。この展開方法での制限事項については、StoreFrontのドキュメントを参照してください。

Web Interface(Citrix Virtual Apps and Desktops 7以降の環境ではサポートされません):

  • Web Interface 5.4とWeb Interfaceサイト。
  • Web Interface 5.4とXenApp Servicesサイト。

Citrix Gateway上のWeb Interface:

Citrix Gatewayで提供されるリライトポリシーを有効にする必要があります。

Citrix Virtual Apps and Desktopsの以下のバージョン:

  • Citrix Virtual Apps 7.5以降
  • XenApp 6.5 for Windows Server 2008 R2
  • Citrix Virtual Apps and Desktops 7.x以降

接続、証明書、認証

Citrix Workspaceアプリでは、以下の設定のいずれかを使用して、Citrix Virtual AppsサーバーにHTTP、HTTPS、およびICA-over-TLS接続を確立できます。

LAN接続の場合:

  • StoreFront 2.6以降
  • Web Interface 5.4
  • XenApp Services(旧称「Program Neighborhood Agent」)サイト

安全なリモート接続の場合(次のいずれかのバージョン):

  • Citrix Gateway 11以降(VPX、MPX、およびSDXバージョンを含む)
  • XenMobileはバージョン9および10でのみサポートされます。

TLS証明書

TLSを使用してリモート接続を保護する場合、モバイルデバイスはリモートゲートウェイのTLS証明書の信頼性を、信頼されたルート証明機関のローカルストアと照合することで検証します。証明機関のルート証明書がローカルのキーストアに存在する場合は、民間の証明機関(VeriSignおよびThawteなど)が発行した証明書が自動的に検出されます。

プライベート(自己署名)証明書

リモートゲートウェイにプライベート証明書がインストールされている場合は、組織の証明機関のルート証明書をモバイルデバイスにインストールしないと、Android向けCitrix Workspaceアプリを使用してCitrixリソースにアクセスできません。

注:

接続時にリモートゲートウェイの証明書を検証できない場合(ローカルのキーストアにルート証明書が含まれていないため)、信頼されていない証明書の警告が表示されます。ユーザーが警告に対してそのまま続行することを選択した場合は、アプリケーションの一覧が表示されますがアプリケーションが起動しません。

ワイルドカード証明書

ワイルドカード証明書は、同一ドメイン内の任意のサーバーで個別のサーバー証明書の代わりに使用します。Android向けCitrix Workspaceアプリでは、ワイルドカード証明書がサポートされています。

中間証明書とCitrix Gateway

証明書チェーンに中間証明書が含まれる場合は、中間証明書をCitrix Gatewayのサーバー証明書に追加する必要があります。使用するCitrix Gatewayのエディションに関するKnowledge Centerの技術文書を参照してください:

CTX114146CTX124937

サーバー証明書検証ポリシー

Android向けCitrix Workspaceアプリには、サーバー証明書に関する厳格な検証ポリシーがあります。

重要:

このバージョンのAndroid向けCitrix Workspaceアプリをインストールする前に、サーバーまたはCitrix Gatewayの証明書が、ここで説明されているように正しく構成されていることを確認してください。以下の場合、接続できないことがあります:

  • サーバーまたはCitrix Gatewayの構成に間違ったルート証明書が含まれている
  • サーバーまたはCitrix Gatewayの構成にすべての中間証明書が含まれていない
  • サーバーまたはCitrix Gatewayの構成に期限切れまたは無効な中間証明書が含まれている
  • サーバーまたはCitrix Gatewayの構成にクロスルート用中間証明書が含まれていない

Android向けCitrix Workspaceアプリは、サーバー証明書を検証する時にサーバー(またはCitrix Gateway)が提供するすべての証明書を使用するようになりました。証明書が信頼済みであることも確認します。すべての証明書が信頼済みでない場合、接続に失敗します。

このポリシーは、Webブラウザーの証明書ポリシーより厳格です。多くのWebブラウザーには、多数の信頼済みのルート証明書セットが含まれます。

サーバー(またはCitrix Gateway)は、正しい証明書セットで構成する必要があります。不正な証明書のセットを使用すると、Android向けCitrix Workspaceアプリの接続に失敗することがあります。

以下は、Citrix Gatewayがこのような有効な証明書で構成されていることを前提としています。この構成は、Android向けCitrix Workspaceアプリで使用されるルート証明書を正確に確認するために、より厳格な検証が必要なユーザーにお勧めします:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル」
  • 「ルート証明書サンプル」

Android向けCitrix Workspaceアプリはこれらすべての証明書が有効であることを確認します。Android向けCitrix Workspaceアプリが「ルート証明書サンプル」を信頼済みであることも確認します。Android向けCitrix Workspaceアプリが「ルート証明書サンプル」を信頼していない場合、接続に失敗します。

重要

証明機関によっては、複数のルート証明書があります。このような、より厳格な検証が必要であれば、構成で適切なルート証明書が使用されていることを確認してください。例えば、現在同じサーバー証明書を検証できる2つの証明書(「DigiCert」/「GTE CyberTrust Global Root」および「DigiCert Baltimore Root」/「Baltimore CyberTrust Root」)があるとします。ユーザーデバイスによっては、両方のルート証明書が使用できます。その他のデバイスでは、1つの証明書のみを使用できます(「DigiCert Baltimore Root」/「Baltimore CyberTrust Root」)。ゲートウェイで「GTE CyberTrust Global Root」を構成すると、これらのユーザーデバイスでAndroid向けCitrix Workspaceアプリの接続に失敗します。どのルート証明書を使用すべきかについては、証明機関のドキュメントを参照してください。また、ルート証明書の有効期限についても注意してください。

注:

サーバーやCitrix Gatewayによっては、ルート証明書が構成されていても、送信しないことがあります。この場合、より厳格な検証は機能しません。

以下は、ゲートウェイがこのような有効な証明書で構成されていることを前提としています。通常は、このルート証明書を省略した構成が推奨されます:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル」

Android向けCitrix Workspaceアプリはこの2つの証明書を使用します。次に、ユーザーデバイスでルート証明書を検索します。正しく検証される証明書が見つかり、信頼済みである場合(「ルート証明書サンプル」など)、接続は成功します。信頼済みの証明書が見つからない場合は、失敗します。この構成では、Android向けCitrix Workspaceアプリが必要とする中間証明書が提供されますが、Android向けCitrix Workspaceアプリは任意の有効な、信頼済みのルート証明書を選択できます。

以下は、Citrix Gatewayがこのような証明書で構成されていることを前提としています:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル」
  • 「間違ったルート証明書」

Android向けCitrix Workspaceアプリが不正なルート証明書を読み取り、接続は失敗します。

証明機関によっては、複数の中間証明書を使用します。この場合、Citrix Gatewayは通常、以下のようにすべて中間証明書(ルート証明書ではない)で構成されます:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル1」
  • 「中間証明書サンプル2」

証明機関によっては、クロスルート用中間証明書を使用します。これは、複数のルート証明書があり、以前のルート証明書が最新のルート証明書と同時に使用中の状況を想定しています。この場合、少なくとも2つの中間証明書が存在します。たとえば、以前のルート証明書「Class 3 Public Primary Certification Authority」は、クロスルート用中間証明書「VeriSign Class 3 Public Primary Certification Authority-G5」を使用しています。ただし、最新のルート証明書「VeriSign Class 3 Public Primary Certification Authority - G5」も使用可能で、これが「Class 3 Public Primary Certification Authority」に置き換わります。最新のルート証明書はクロスルート用中間証明書を使用しません。

クロスルート用中間証明書およびルート証明書は、同じサブジェクト名(発行先)ですが、クロスルート中間証明書には異なる発行者名(発行元)があります。これによって、クロスルート用中間証明書と通常の中間証明書(「中間証明書サンプル2」など)を区別できます。

通常は、このルート証明書およびクロスルート用中間証明書を省略した構成が推奨されます:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル」

クロスルート用中間証明書をCitrix Gatewayで構成しないでください。これは、Citrix Gatewayで以前のルート証明書が選択されるようになるのを避けるためです:

  • 「サーバー証明書サンプル」
  • 「中間証明書サンプル」
  • 「クロスルート用中間証明書サンプル」[非推奨]

Citrix Gatewayでサーバー証明書のみを構成しないでください:

  • 「サーバー証明書サンプル」

Android向けCitrix Workspaceアプリがすべての中間証明書を検出できないと、接続に失敗します。

認証

注:

RSA SecurID認証は、Citrix Secure Web Gatewayを使用する構成ではサポートされません。RSA SecurIDを使用するにはCitrix Gatewayを使用してください。

Android向けCitrix Workspaceアプリでは、使用するCitrix Gatewayのエディションに応じて以下の認証がサポートされます:

  • 認証なし(StandardおよびEnterprise Editionのみ)
  • ドメイン認証
  • RSA SecurID(Wi-Fi接続および非Wi-Fi接続でのソフトウェアトークンを含む)
  • RSA SecurIDを組み合わせたドメイン認証
  • SMSパスコード(ワンタイムPIN)認証
  • スマートカード認証

注:

Web Interfaceサイトでは、スマートカードによる認証がサポートされていません。

Android向けCitrix Workspaceアプリは次の製品および構成をサポートするようになりました。

サポートされるスマートカードリーダー:

  • BaiMobile 3000MP USBスマートカードリーダー

サポートされるスマートカード:

  • PIVカード
  • Common Access Card

サポートされる構成:

  • StoreFront 2または3およびCitrix Virtual Apps and Desktops 7.x以降、またはXenApp 6.5以降と統合されたCitrix Gatewayでのスマートカード認証
  • Web Interface 5.4.2およびCitrix Virtual Apps and Desktops 7.x以降、またはXenApp 6.5以降と統合されたCitrix Gatewayでのスマートカード認証

注:

RADIUSを使用してほかのトークンベースの認証ソリューションを設定できます。SafeWordトークン認証については、「Configuring SafeWord Authentication」を参照してください。